#!/bin/bash

# Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
#
# SPDX-License-Identifier: MPL-2.0

###################################################################################################
#
# Die sensiblen Daten liegen in einer separaten Datei.
#
###################################################################################################
. secrets.sh

###################################################################################################
#
# Hilsmethoden werden definiert. Das Log-Level wird gesetzt.
#
###################################################################################################
. helpers.sh
logging_level="INFO"
#logging_level="DEBUG"

###################################################################################################
#
# Endpunkt-Aufrufe werden geladen.
#
###################################################################################################
. endpoints/plattform/regelungsvorhaben-api.sh
. endpoints/editor/benutzer-api.sh
. endpoints/editor/dokumentenmappen-api.sh
. endpoints/editor/dokumente-api.sh
. endpoints/editor/startseite-api.sh

###################################################################################################
#
# Testsuiten werden ausgeführt.
#
###################################################################################################
# . tests/test-anlegen-von-dokumenten.sh
# neueRegelungsvorhabenId=$(echo ${datenVonNeuerDokumentenmappe} | jq -r '.rvId')
# neueDokumentenmappenId=$(echo ${datenVonNeuerDokumentenmappe} | jq -r '.dmId')
# neueRegelungstextId=$(echo ${datenVonNeuerDokumentenmappe} | jq -r '.docs | .[] | select(.docType=="REGELUNGSTEXT_STAMMGESETZ") | .docId')
# neueVorblattId=$(echo ${datenVonNeuerDokumentenmappe} | jq -r '.docs | .[] | select(.docType=="VORBLATT_STAMMGESETZ") | .docId')
# neueDokumentenmappenVersion=$(echo ${datenVonNeuerDokumentenmappe} | jq -r '.dmVersion')

# . tests/test-arbeiten-mit-dokumenten.sh



###################################################################################################
#
#       FAST TRACK
#
###################################################################################################


authenticate #X  # <-- switches to other user
#logging_level="DEBUG"

#get_user  # ist Alias zu: angemeldetenBenutzerAnzeigen
#benutzerEinstellungenLaden
#dokumentenmappeExportieren ""
#get_propositions
#auflistenAllerMappenUndDokumenteDesRegelungsvorhabens "" "0"
#meineDokumenteLaden "3"
#meineAbstimmungsdokumenteLaden
#get_documents_id ""
#dokumentAktualisieren "" "TITEL" "INHALT"
einzeldokumentExportieren "" '[{"xml-model":"href=\"Grammatiken/legalDocML.de.sch\" type=\"application/xml\" schematypens=\"http://purl.oclc.org/dsdl/schematron\"","children":[{"children":[{"children":[{"children":[{"children":[{"children":[{"children":[{"text":""}],"type":"lea:textWrapper"}],"type":"akn:FRBRthis","value":"eli/dl/2024/bundesregierung/1/regelungsentwurf/vorblatt-0"},{"children":[{"children":[{"text":""}],"type":"lea:textWrapper"}],"type":"akn:FRBRuri","value":"eli/dl/2024/bundesregierung/1/regelungsentwurf"},{"children":[{"children":[{"text":""}],"type":"lea:textWrapper"}],"name":"übergreifende-id","type":"akn:FRBRalias","value":"18ef7fdd-0ab5-4aa1-9035-78a7a1a023c3"},{"date":"2024-04-04","children":[{"children":[{"text":""}],"type":"lea:textWrapper"}],"name":"entwurfsfassung","type":"akn:FRBRdate"},{"children":[{"children":[{"text":""}],"type":"lea:textWrapper"}],"href":"recht.bund.de/institution/bundesregierung","type":"akn:FRBRauthor"},{"children":[{"children":[{"text":""}],"type":"lea:textWrapper"}],"type":"akn:FRBRcountry","value":"de"},{"children":[{"children":[{"text":""}],"type":"lea:textWrapper"}],"type":"akn:FRBRnumber","value":"1"},{"children":[{"children":[{"text":""}],"type":"lea:textWrapper"}],"type":"akn:FRBRname","value":"regelungsentwurf"},{"children":[{"children":[{"text":""}],"type":"lea:textWrapper"}],"type":"akn:FRBRsubtype","value":"vorblatt-0"}],"type":"akn:FRBRWork"},{"children":[{"children":[{"children":[{"text":""}],"type":"lea:textWrapper"}],"type":"akn:FRBRthis","value":"eli/dl/2024/bundesregierung/1/regelungsentwurf/bundesregierung/2024-04-04/1/deu/vorblatt-0"},{"children":[{"children":[{"text":""}],"type":"lea:textWrapper"}],"type":"akn:FRBRuri","value":"eli/dl/2024/bundesregierung/1/regelungsentwurf/bundesregierung/2024-04-04/1/deu"},{"children":[{"children":[{"text":""}],"type":"lea:textWrapper"}],"href":"recht.bund.de/institution/bundesregierung","type":"akn:FRBRauthor"},{"date":"2024-04-04","children":[{"children":[{"text":""}],"type":"lea:textWrapper"}],"name":"version","type":"akn:FRBRdate"},{"children":[{"children":[{"text":""}],"type":"lea:textWrapper"}],"language":"deu","type":"akn:FRBRlanguage"},{"children":[{"children":[{"text":""}],"type":"lea:textWrapper"}],"type":"akn:FRBRversionNumber","value":"1"}],"type":"akn:FRBRExpression"},{"children":[{"children":[{"children":[{"text":""}],"type":"lea:textWrapper"}],"type":"akn:FRBRthis","value":"eli/dl/2024/bundesregierung/1/regelungsentwurf/bundesregierung/2024-04-04/1/deu/vorblatt-0.xml"},{"children":[{"children":[{"text":""}],"type":"lea:textWrapper"}],"type":"akn:FRBRuri","value":"eli/dl/2024/bundesregierung/1/regelungsentwurf/bundesregierung/2024-04-04/1/deu/vorblatt-0.xml"},{"date":"2024-04-09","children":[{"children":[{"text":""}],"type":"lea:textWrapper"}],"name":"generierung","type":"akn:FRBRdate"},{"children":[{"children":[{"text":""}],"type":"lea:textWrapper"}],"href":"recht.bund.de","type":"akn:FRBRauthor"},{"children":[{"children":[{"text":""}],"type":"lea:textWrapper"}],"type":"akn:FRBRformat","value":"xml"}],"type":"akn:FRBRManifestation"}],"source":"attributsemantik-noch-undefiniert","type":"akn:identification"},{"children":[{"children":[{"children":[{"children":[{"text":"gesetz"}],"type":"lea:textWrapper"}],"type":"meta:typ"},{"children":[{"children":[{"text":"stammform"}],"type":"lea:textWrapper"}],"type":"meta:form"},{"children":[{"children":[{"text":"entwurfsfassung"}],"type":"lea:textWrapper"}],"type":"meta:fassung"},{"children":[{"children":[{"text":"vorblatt"}],"type":"lea:textWrapper"}],"type":"meta:art"},{"children":[{"children":[{"text":"bundesregierung"}],"type":"lea:textWrapper"}],"type":"meta:initiant"},{"children":[{"children":[{"text":"bundesregierung"}],"type":"lea:textWrapper"}],"type":"meta:bearbeitendeInstitution"}],"type":"meta:legalDocML.de_metadaten","xmlns:meta":"http://Metadaten.LegalDocML.de"}],"source":"attributsemantik-noch-undefiniert","type":"akn:proprietary"}],"type":"akn:meta"},{"children":[{"eId":"doktitel-1","children":[{"eId":"doktitel-1_text-1","children":[{"children":[{"children":[{"text":"Referentenentwurf"}],"type":"lea:textWrapper"}],"type":"akn:docStage"},{"refersTo":"artikel","children":[{"children":[{"text":" des "}],"type":"lea:textWrapper"}],"type":"akn:span"},{"children":[{"children":[{"text":"Bundesministeriums des Innern und für Heimat"}],"type":"lea:textWrapper"}],"type":"akn:docProponent"},{"children":[{"children":[{"text":"Neues Regelungsvorhaben (SST-Test)"}],"type":"lea:textWrapper"}],"type":"akn:docTitle"},{"children":[{"text":"("}],"type":"lea:textWrapper"},{"eId":"doktitel-1_text-1_kurztitel-1","children":[{"children":[{"text":"Neues RV anlegen"}],"type":"lea:textWrapper"}],"GUID":"2e10ebff-4342-4f7f-9917-714631345cc9","type":"akn:shortTitle"},{"children":[{"text":" – "}],"type":"lea:textWrapper"},{"refersTo":"amtliche-abkuerzung","children":[{"children":[{"text":"ANL-DOC-RV - 2024-04-04 08:26:53+02:00"}],"type":"lea:textWrapper"}],"name":"attributsemantik-noch-undefiniert","type":"akn:inline"},{"children":[{"text":")"}],"type":"lea:textWrapper"}],"GUID":"39abcba8-c456-4d5c-b5a2-0a2fd30528a5","type":"akn:p"}],"GUID":"ecd77d6d-b735-4a3d-860f-3141eb6bcd10","type":"akn:longTitle"}],"type":"akn:preface"},{"children":[{"refersTo":"vorblattabschnitt-problem-und-ziel","eId":"container-a","children":[{"eId":"container-a_bezeichnung-1","children":[{"children":[{"children":[{"text":""}],"type":"lea:textWrapper"}],"name":"a","type":"akn:marker"},{"children":[{"text":"A."}],"type":"lea:textWrapper"}],"GUID":"481ff65a-5cbc-40e7-b753-bc50cadb08bd","type":"akn:num"},{"eId":"container-a_überschrift-1","children":[{"children":[{"text":"Problem und Ziel"}],"type":"lea:textWrapper"}],"GUID":"03e894a3-1945-4e95-8964-4b597b1aa9ee","type":"akn:heading"},{"eId":"container-a_inhalt-1","children":[{"eId":"container-a_inhalt-1_text-1","children":[{"children":[{"text":""}],"type":"lea:textWrapper"}],"GUID":"99ed4e9d-2991-4fbf-ae17-47d241e04c5f","type":"akn:p"}],"GUID":"2faa158d-e3e1-4134-9640-addea3e7ba1b","type":"akn:content"}],"GUID":"79b1b0fa-20df-4022-86d7-5c78561d6655","name":"attributsemantik-noch-undefiniert","type":"akn:hcontainer"},{"refersTo":"vorblattabschnitt-loesung","eId":"container-b","children":[{"eId":"container-b_bezeichnung-1","children":[{"children":[{"children":[{"text":""}],"type":"lea:textWrapper"}],"name":"b","type":"akn:marker"},{"children":[{"text":"B."}],"type":"lea:textWrapper"}],"GUID":"9705a6ff-ec67-4139-92e9-6d5d41729432","type":"akn:num"},{"eId":"container-b_überschrift-1","children":[{"children":[{"text":"Lösung"}],"type":"lea:textWrapper"}],"GUID":"356e1871-6dd4-42f3-adaf-3e3c17a90727","type":"akn:heading"},{"eId":"container-b_inhalt-1","children":[{"eId":"container-b_inhalt-1_text-1","children":[{"children":[{"text":""}],"type":"lea:textWrapper"}],"GUID":"b4175489-f46a-467c-8b6f-907d5aa538bc","type":"akn:p"}],"GUID":"0328337b-4f31-49f6-ac16-fbfd64d7eb4c","type":"akn:content"}],"GUID":"e4d666c3-8484-44a5-9b11-77be2610af98","name":"attributsemantik-noch-undefiniert","type":"akn:hcontainer"},{"refersTo":"vorblattabschnitt-alternativen","eId":"container-c","children":[{"eId":"container-c_bezeichnung-1","children":[{"children":[{"children":[{"text":""}],"type":"lea:textWrapper"}],"name":"c","type":"akn:marker"},{"children":[{"text":"C."}],"type":"lea:textWrapper"}],"GUID":"91838b7b-8caa-4ede-843d-43f703340e36","type":"akn:num"},{"eId":"container-c_überschrift-1","children":[{"children":[{"text":"Alternativen"}],"type":"lea:textWrapper"}],"GUID":"2bc93e08-05ba-4096-8695-5fa0eec98de1","type":"akn:heading"},{"eId":"container-c_inhalt-1","children":[{"eId":"container-c_inhalt-1_text-1","children":[{"children":[{"text":""}],"type":"lea:textWrapper"}],"GUID":"6c6c09da-df73-4001-b693-2561365aa13c","type":"akn:p"}],"GUID":"b24e7332-206b-4481-84a5-3c03b69e7b60","type":"akn:content"}],"GUID":"f0b54c13-7fca-4ac3-9fc5-88b76ee174dc","name":"attributsemantik-noch-undefiniert","type":"akn:hcontainer"},{"refersTo":"vorblattabschnitt-haushaltsausgaben-ohne-erfuellungsaufwand","eId":"container-d","children":[{"eId":"container-d_bezeichnung-1","children":[{"children":[{"children":[{"text":""}],"type":"lea:textWrapper"}],"name":"d","type":"akn:marker"},{"children":[{"text":"D."}],"type":"lea:textWrapper"}],"GUID":"608b5515-d073-4fe1-8b57-d99809bfa8cd","type":"akn:num"},{"eId":"container-d_überschrift-1","children":[{"children":[{"text":"Haushaltsausgaben ohne Erfüllungsaufwand"}],"type":"lea:textWrapper"}],"GUID":"53d7feeb-2a29-4cf0-b31a-a6668b4939cc","type":"akn:heading"},{"eId":"container-d_inhalt-1","children":[{"eId":"container-d_inhalt-1_text-1","children":[{"children":[{"text":""}],"type":"lea:textWrapper"}],"GUID":"8bc9ff8d-8e04-4eda-8f61-3d923af37efe","type":"akn:p"}],"GUID":"2c709f6c-fc26-471b-9af4-cc0c39675252","type":"akn:content"}],"GUID":"2903c532-45b1-4b59-a140-1abe756716ed","name":"attributsemantik-noch-undefiniert","type":"akn:hcontainer"},{"refersTo":"vorblattabschnitt-erfuellungsaufwand","eId":"container-e","children":[{"eId":"container-e_bezeichnung-1","children":[{"children":[{"children":[{"text":""}],"type":"lea:textWrapper"}],"name":"e","type":"akn:marker"},{"children":[{"text":"E."}],"type":"lea:textWrapper"}],"GUID":"79bca75c-5de0-4dee-b23b-c71edc9024eb","type":"akn:num"},{"eId":"container-e_überschrift-1","children":[{"children":[{"text":"Erfüllungsaufwand"}],"type":"lea:textWrapper"}],"GUID":"7b479acf-740a-4c75-ab33-0587b5220634","type":"akn:heading"},{"eId":"container-e_inhalt-1","children":[{"eId":"container-e_inhalt-1_text-1","children":[{"children":[{"text":""}],"type":"lea:textWrapper"}],"GUID":"c397901e-e761-46e3-a0ff-e464fac279a9","type":"akn:p"},{"refersTo":"erfuellungsaufwand-fuer-buergerinnen-und-buerger","eId":"container-e_inhalt-1_inhaltabschnitt-e.1","children":[{"eId":"container-e_inhalt-1_inhaltabschnitt-e.1_bezeichnung-1","children":[{"children":[{"children":[{"text":""}],"type":"lea:textWrapper"}],"name":"e.1","type":"akn:marker"},{"children":[{"text":"E.1"}],"type":"lea:textWrapper"}],"GUID":"5f4b7eb9-fc82-481c-b4a4-8fd147677b91","type":"akn:num"},{"eId":"container-e_inhalt-1_inhaltabschnitt-e.1_überschrift-1","children":[{"children":[{"text":"Erfüllungsaufwand für Bürgerinnen und Bürger"}],"type":"lea:textWrapper"}],"GUID":"f6cdd16a-cac3-42ea-868a-f30e937e70fd","type":"akn:heading"},{"eId":"container-e_inhalt-1_inhaltabschnitt-e.1_text-1","children":[{"children":[{"text":""}],"type":"lea:textWrapper"}],"GUID":"cc5d3ede-c844-41e6-b081-b80b3797fd14","type":"akn:p"}],"GUID":"a48959a3-b48b-4260-9bd2-a64b7cf3e458","type":"akn:tblock"},{"refersTo":"erfuellungsaufwand-fuer-die-wirtschaft","eId":"container-e_inhalt-1_inhaltabschnitt-e.2","children":[{"eId":"container-e_inhalt-1_inhaltabschnitt-e.2_bezeichnung-1","children":[{"children":[{"children":[{"text":""}],"type":"lea:textWrapper"}],"name":"e.2","type":"akn:marker"},{"children":[{"text":"E.2"}],"type":"lea:textWrapper"}],"GUID":"40befa99-8bdb-41c7-b2dd-26ae8cdb13f7","type":"akn:num"},{"eId":"container-e_inhalt-1_inhaltabschnitt-e.2_überschrift-1","children":[{"children":[{"text":"Erfüllungsaufwand für die Wirtschaft"}],"type":"lea:textWrapper"}],"GUID":"acac0b5a-dd03-44d0-b211-eba18f760583","type":"akn:heading"},{"eId":"container-e_inhalt-1_inhaltabschnitt-e.2_text-1","children":[{"children":[{"text":""}],"type":"lea:textWrapper"}],"GUID":"12d74ea1-b0f2-4045-bf92-68f7c1755eca","type":"akn:p"},{"refersTo":"davon-buerokratiekosten-aus-informationspflichten","eId":"container-e_inhalt-1_inhaltabschnitt-e.2_inhaltabschnitt-1","children":[{"eId":"container-e_inhalt-1_inhaltabschnitt-e.2_inhaltabschnitt-1_überschrift-1","children":[{"children":[{"text":"Davon Bürokratiekosten aus Informationspflichten"}],"type":"lea:textWrapper"}],"GUID":"77a11af0-4757-4f36-9374-32c7b09c1ae5","type":"akn:heading"},{"eId":"container-e_inhalt-1_inhaltabschnitt-e.2_inhaltabschnitt-1_text-1","children":[{"children":[{"text":""}],"type":"lea:textWrapper"}],"GUID":"5626ac44-a761-4555-a468-fea6bbec9f5c","type":"akn:p"}],"GUID":"0dbbacbf-c2e4-4fbf-888a-f963f1e92603","type":"akn:tblock"}],"GUID":"6a20476f-f562-4800-a460-f865b2eb1c08","type":"akn:tblock"},{"refersTo":"erfuellungsaufwand-der-verwaltung","eId":"container-e_inhalt-1_inhaltabschnitt-e.3","children":[{"eId":"container-e_inhalt-1_inhaltabschnitt-e.3_bezeichnung-1","children":[{"children":[{"children":[{"text":""}],"type":"lea:textWrapper"}],"name":"e.3","type":"akn:marker"},{"children":[{"text":"E.3"}],"type":"lea:textWrapper"}],"GUID":"2841d35a-14c4-410b-928a-692e04d74be6","type":"akn:num"},{"eId":"container-e_inhalt-1_inhaltabschnitt-e.3_überschrift-1","children":[{"children":[{"text":"Erfüllungsaufwand der Verwaltung"}],"type":"lea:textWrapper"}],"GUID":"47801b42-1d7c-47bc-aecf-16d668cdf54b","type":"akn:heading"},{"eId":"container-e_inhalt-1_inhaltabschnitt-e.3_text-1","children":[{"children":[{"text":""}],"type":"lea:textWrapper"}],"GUID":"e69c8a29-9a04-4e0f-8ba3-3debc7c91e97","type":"akn:p"}],"GUID":"e75d7f63-236f-41b4-a3e7-2a33618c86db","type":"akn:tblock"}],"GUID":"fc30e89c-2c84-4c69-83af-9550accccec1","type":"akn:content"}],"GUID":"2db716dd-a6ab-45b9-b2d3-21920cb510eb","name":"attributsemantik-noch-undefiniert","type":"akn:hcontainer"},{"refersTo":"vorblattabschnitt-weitere-kosten","eId":"container-f","children":[{"eId":"container-f_bezeichnung-1","children":[{"children":[{"children":[{"text":""}],"type":"lea:textWrapper"}],"name":"f","type":"akn:marker"},{"children":[{"text":"F."}],"type":"lea:textWrapper"}],"GUID":"bfdd7e0d-fd22-4f5e-ac12-4bf2b31dba0c","type":"akn:num"},{"eId":"container-f_überschrift-1","children":[{"children":[{"text":"Weitere Kosten"}],"type":"lea:textWrapper"}],"GUID":"2fd0a55c-b888-4c94-8eb0-d05be5a62307","type":"akn:heading"},{"eId":"container-f_inhalt-1","children":[{"eId":"container-f_inhalt-1_text-1","children":[{"children":[{"text":""}],"type":"lea:textWrapper"}],"GUID":"c554a2a6-4434-45e4-b8de-6903d5cba0b7","type":"akn:p"}],"GUID":"7c1ae50b-3625-4cfc-a65f-6d1c0dff46fc","type":"akn:content"}],"GUID":"085ddde2-7156-48b9-b66a-c0d65991283b","name":"attributsemantik-noch-undefiniert","type":"akn:hcontainer"}],"type":"akn:mainBody"}],"name":"vorblatt","type":"akn:doc"}],"xsi:schemaLocation":"http://Inhaltsdaten.LegalDocML.de/1.4/ Grammatiken/legalDocML.de-vorblatt.xsd http://Metadaten.LegalDocML.de/1.4/ Grammatiken/legalDocML.de-metadaten.xsd","xmlns:xsi":"http://www.w3.org/2001/XMLSchema-instance","type":"akn:akomaNtoso","xmlns:akn":"http://Inhaltsdaten.LegalDocML.de/1.4/"}]'

